#nvpl_rand-config.cmake
#
# Imported interface targets provided:
#  * nvpl::rand_static - static library target (if available)
#  * nvpl::rand_shared - shared library target
#  * nvpl::rand - alias to shared library target
#
#  * nvpl::rand_mt_static - static library target with multi-thread APIs (if available)
#  * nvpl::rand_mt_shared - shared library target with multi-thread APIs
#  * nvpl::rand_mt - alias to shared library target with multi-thread APIs

set(nvpl_rand_VERSION "0.3.0")
# build: 473


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was nvpl_rand-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include("${CMAKE_CURRENT_LIST_DIR}/nvpl_rand-targets.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/nvpl_rand-static-targets.cmake" OPTIONAL)

if(TARGET nvpl_rand_static)
  set(nvpl_rand_STATIC_LIBRARIES nvpl_rand_static)
endif()
set(nvpl_rand_SHARED_LIBRARIES nvpl_rand)

if(TARGET nvpl_rand_mt_static)
  set(nvpl_rand_mt_STATIC_LIBRARIES nvpl_rand_mt_static)
endif()
set(nvpl_rand_mt_SHARED_LIBRARIES nvpl_rand_mt)

# Allow Alias to targets
set_target_properties(${nvpl_rand_STATIC_LIBRARIES} ${nvpl_rand_SHARED_LIBRARIES} PROPERTIES IMPORTED_GLOBAL 1)
set_target_properties(${nvpl_rand_mt_STATIC_LIBRARIES} ${nvpl_rand_mt_SHARED_LIBRARIES} PROPERTIES IMPORTED_GLOBAL 1)

add_library(nvpl::rand ALIAS nvpl_rand)
add_library(nvpl::rand_shared ALIAS nvpl_rand)
if(TARGET nvpl_rand_static)
  add_library(nvpl::rand_static ALIAS nvpl_rand_static)
endif()

add_library(nvpl::rand_mt ALIAS nvpl_rand_mt)
add_library(nvpl::rand_mt_shared ALIAS nvpl_rand_mt)
if(TARGET nvpl_rand_mt_static)
  add_library(nvpl::rand_mt_static ALIAS nvpl_rand_mt_static)
endif()

get_target_property(nvpl_rand_LOCATION ${nvpl_rand_SHARED_LIBRARIES} LOCATION)
get_filename_component(nvpl_rand_LOCATION ${nvpl_rand_LOCATION} DIRECTORY)
get_filename_component(nvpl_rand_LOCATION ${nvpl_rand_LOCATION}/.. REALPATH)

check_required_components(nvpl_rand)
message(STATUS "Found nvpl_rand: (Location: ${nvpl_rand_LOCATION} Version: ${nvpl_rand_VERSION}")
